import request from '@/utils/request'

// 查询用户令牌列表
export function listApiToken(query) {
  return request({
    url: '/system/apiToken/list',
    method: 'get',
    params: query
  })
}

// 查询用户令牌详细
export function getApiToken(tokenId) {
  return request({
    url: '/system/apiToken/' + tokenId,
    method: 'get'
  })
}

// 新增用户令牌
export function addApiToken(data) {
  return request({
    url: '/system/apiToken',
    method: 'post',
    data: data
  })
}

// 修改用户令牌
export function updateApiToken(data) {
  return request({
    url: '/system/apiToken',
    method: 'put',
    data: data
  })
}

// 删除用户令牌
export function delApiToken(tokenId) {
  return request({
    url: '/system/apiToken/' + tokenId,
    method: 'delete'
  })
}
